%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 11;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate failure_derive

Name:           rust-failure_derive
Version:        0.1.8
Release:    1%{?dist}
Summary:        Derives for the failure crate

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/failure_derive
Source0:        %{crates_source}
Source1:        https://github.com/rust-lang-deprecated/failure/raw/135e2a3/LICENSE-APACHE
Source2:        https://github.com/rust-lang-deprecated/failure/raw/135e2a3/LICENSE-MIT

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Derives for the failure crate.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Provides:       deprecated()

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
cp -pav %{SOURCE1} %{SOURCE2} .

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Jul 22 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.8-1
- initial build
